cdfAddBaseMmCounts {affxparser} | R Documentation

## Adds the number of allele A and allele B mismatching nucleotides of the probes in a CDF structure

### Description

Adds the number of allele A and allele B mismatching nucleotides of the probes in a CDF structure.

This `function` is design to be used with `applyCdfGroups`() on an Affymetrix Mapping (SNP) CDF `list` structure.

Identifies the number of nucleotides (bases) in probe sequences that mismatch the the target sequence for allele A and the allele B, as used by [1].

### Usage

    cdfAddBaseMmCounts(groups, ...)

### Arguments

`groups` | A `list` structure with groups. Each group must contain the fields `tbase`, `pbase`, and `offset` (from `cdfAddProbeOffsets`()).
`...` | Not used.

### Details

Note that the above counts can be inferred from the CDF structure alone, i.e. no sequence information is required. Consider a probe group interrogating allele A. First, all PM probes matches the allele A target sequence perfectly regardless of shift. Moreover, all these PM probes mismatch the allele B target sequence at exactly one position. Second, all MM probes mismatches the allele A sequence at exactly one position. This is also true for the allele B sequence, except for an MM probe with zero offset, which only mismatch at one (the middle) position. For a probe group interrogating allele B, the same rules applies with labels A and B swapped. In summary, the mismatch counts for PM probes can take values 0 and 1, and for MM probes they can take values 0, 1, and 2.

### Value

Returns a `list` structure with the same number of groups as the `groups` argument. To each group, two fields is added:

`mmACount` | The number of nucleotides in the probe sequence that mismatches the target sequence of allele A.
`mmBCount` | The number of nucleotides in the probe sequence that mismatches the target sequence of allele B.

normal-bracket31bracket-normal

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### References

[1] LaFramboise T, Weir BA, Zhao X, Beroukhim R, Li C, Harrington D, Sellers WR, and Meyerson M. Allele-specific amplification in cancer revealed by SNP array analysis, PLoS Computational Biology, Nov 2005, Volume 1, Issue 6, e65.
[2] Affymetrix, Understanding Genotyping Probe Set Structure, 2005. http://www.affymetrix.com/support/developer/whitepapers/genotyping_probe_set_structure.affx

### See Also

To add required probe offsets, `cdfAddProbeOffsets`(). `applyCdfGroups`().

[Package affxparser version 1.6.2 Index]